summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorEric Anderson2018-07-08 13:55:10 -0700
committerEric Anderson2018-07-08 13:55:10 -0700
commit5ce87ed99bbebc0fa24d23183657b2482ec165bb (patch)
tree698cdd48eaf6e6e4d1a17e46906e43f78a445e37
parentb581f65329452beb02eceb7649fbf002143b5f21 (diff)
downloadaur-5ce87ed99bbebc0fa24d23183657b2482ec165bb.tar.gz
Remove optdep for libtxc_dxtn; modernize PKGBUILD
libtxc_dxtn is no longer necessary, and is no longer available on the AUR, so remove the reference to reduce confusion. Remove the .install file because gtk2 now seems to use fallbacks if the engine is not available. Use bsdtar instead of unzip to avoid the makedep. Use exec in .sh since the bash process is useless while playing. The .SRCINFO shows more changes because it is showing the x86_64 deps now, which is apt since i686 is no longer supported by core Arch. I could remove support for i686, but leaving it since it may be useful to someone and isn't hurting anything.
-rw-r--r--.SRCINFO22
-rw-r--r--PKGBUILD16
-rw-r--r--shadowgrounds-launcher.sh2
-rw-r--r--shadowgrounds.install12
4 files changed, 17 insertions, 35 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 58bec6c8afc..b2c27b264dd 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,27 +1,25 @@
pkgbase = shadowgrounds
pkgdesc = A 3D sci-fi alien shooter (game sold separately)
pkgver = beta12_update1
- pkgrel = 3
+ pkgrel = 4
url = http://shadowgroundsgame.com/
arch = i686
arch = x86_64
license = unknown
- makedepends = unzip
- depends = libglade
- depends = mesa
- depends = openal
- depends = libvorbis
- depends = sdl_ttf
- depends = libxmu
- depends = sdl_sound
- depends = sdl_image
- optdepends = libtxc_dxtn: texture decoding for open source ATI and Intel drivers
+ depends = lib32-libglade
+ depends = lib32-mesa
+ depends = lib32-openal
+ depends = lib32-libvorbis
+ depends = lib32-sdl_ttf
+ depends = lib32-libxmu
+ depends = lib32-sdl_sound
+ depends = lib32-sdl_image
noextract = shadowgroundsUpdate1.run
options = !strip
source = shadowgrounds-launcher.sh
source = shadowgrounds.desktop
source = hib://shadowgroundsUpdate1.run
- md5sums = c83e117078496deac700c271694533ea
+ md5sums = 2ed2add4600b899cc4a41bf3d1d51c4d
md5sums = 5bf18b1fff2e96b4a1d70b563c4f2ce7
md5sums = 7c9913f754168742973edfeb66ba8f1c
diff --git a/PKGBUILD b/PKGBUILD
index 2441c8c7850..4fadc6c8649 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,7 +3,7 @@
pkgname=shadowgrounds
pkgver=beta12_update1
-pkgrel=3
+pkgrel=4
pkgdesc='A 3D sci-fi alien shooter (game sold separately)'
arch=('i686' 'x86_64')
url='http://shadowgroundsgame.com/'
@@ -11,21 +11,15 @@ license=('unknown')
if [ "$CARCH" = "x86_64" ]; then
depends=('lib32-libglade' 'lib32-mesa' 'lib32-openal' 'lib32-libvorbis'
'lib32-sdl_ttf' 'lib32-libxmu' 'lib32-sdl_sound' 'lib32-sdl_image')
- optdepends=('lib32-libtxc_dxtn: texture decoding for open source ATI and Intel drivers')
else
depends=('libglade' 'mesa' 'openal' 'libvorbis' 'sdl_ttf' 'libxmu' 'sdl_sound'
'sdl_image')
- optdepends=('libtxc_dxtn: texture decoding for open source ATI and Intel drivers')
fi
options=('!strip')
-makedepends=('unzip')
-if [ "$CARCH" = "x86_64" ]; then
- install="${pkgname}.install"
-fi
_gamepkg="shadowgroundsUpdate1.run"
source=("${pkgname}-launcher.sh" "${pkgname}.desktop" "hib://${_gamepkg}")
noextract=("${_gamepkg}")
-md5sums=('c83e117078496deac700c271694533ea'
+md5sums=('2ed2add4600b899cc4a41bf3d1d51c4d'
'5bf18b1fff2e96b4a1d70b563c4f2ce7'
'7c9913f754168742973edfeb66ba8f1c')
# You can download the Humble Indie Bundle file manually, or you can configure
@@ -41,9 +35,11 @@ md5sums=('c83e117078496deac700c271694533ea'
DLAGENTS+=('hib::/usr/bin/echo "Could not find %u. Download the file manually to \"$(pwd)\" or setup hib:// DLAGENT in /etc/makepkg.conf"; echo "Read this PKGBUILD for more info."; exit 1')
PKGEXT='.pkg.tar'
-build() {
+prepare() {
cd "${srcdir}"
- unzip -o "${_gamepkg}" -d "${pkgname}-${pkgver}" || true
+
+ mkdir "${pkgname}-${pkgver}"
+ bsdtar -x -C "${pkgname}-${pkgver}" -f "${_gamepkg}"
}
package(){
diff --git a/shadowgrounds-launcher.sh b/shadowgrounds-launcher.sh
index fa8c5661bf7..080290d9073 100644
--- a/shadowgrounds-launcher.sh
+++ b/shadowgrounds-launcher.sh
@@ -1,2 +1,2 @@
#!/bin/sh
-cd /opt/shadowgrounds && ./shadowgrounds-launcher $@
+cd /opt/shadowgrounds && exec ./shadowgrounds-launcher $@
diff --git a/shadowgrounds.install b/shadowgrounds.install
deleted file mode 100644
index bfe79f39db2..00000000000
--- a/shadowgrounds.install
+++ /dev/null
@@ -1,12 +0,0 @@
-post_install() {
- cat <<EOF
-This package uses lib32-gtk2, which is easy to have misconfigured. If the GUI
-does not show up, make sure you have installed the lib32 version of your GTK+
-theme. For example: lib32-gtk-engines, lib32-gtk-engine-equinox, or
-lib32-gtk-engine-murrine
-EOF
-}
-
-post_upgrade() {
- post_install $1
-}